sign-ubuntu2004-singlebin:
  tags:
    - docker
  image:
    name: registry.gitlab.com/saltstack/open/cicd/containers/pkg-ubuntu2004:latest
  stage: sign
  dependencies:
    - gen-hash-tags-centos7
  artifacts:
    name: "$CI_JOB_NAME-$CI_COMMIT_REF_NAME"
    paths:
      - "*tar.gz"
      - "artifacts"
    expire_in: 120 days
  rules:
    - if: "$CI_COMMIT_TAG != null && $CI_PROJECT_PATH == $CICD_UPSTREAM_PATH"
  script:
    - install -m 700 -d $HOME/.gnupg
    - echo -e "use-agent\npinentry-mode loopback" > $HOME/.gnupg/gpg.conf
    - echo -e "allow-preset-passphrase\nallow-loopback-pinentry" > $HOME/.gnupg/gpg-agent.conf
    - gpgconf --kill gpg-agent
    - export GPG_TTY=$(tty)
    - gpg --batch --no-tty --import "${CICD_SALTSTACK_GPG_SIGNING_KEY}"
    - 'export KEYID="$(gpg --fingerprint --with-colons packaging@saltstack.com | grep ^fpr | cut -d: -f10 | head -n1)"'
    - TEMPFILE=`mktemp`
    - echo `date` > $TEMPFILE
    - gpg --batch --no-tty --passphrase-file <(echo "${PLUGIN_GPG_PASSPHRASE}") --clearsign -a --output /dev/null $TEMPFILE
    - find . \( -name "*BLAKE2B" -o -name "*SHA3_512" -o -name "*SHA512" \) -exec gpg --detach --armor {} \;
